#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.1.0
visibility:           public
id:                   ghcide-1.4.1.0-547uFJw50e1420AZKDceBh
key:                  ghcide-1.4.1.0-547uFJw50e1420AZKDceBh
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  54004cbfe6fcefdecb1517dfa42a0fe8
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.1.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/ghcide-1.4.1.0
hs-libraries:         HSghcide-1.4.1.0-547uFJw50e1420AZKDceBh
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2
    Glob-0.10.2-9RfGpNLAvxQ5zHHzpVkWQa
    aeson-1.5.6.0-FCXpoR7la5e15i9FMLdjlO
    aeson-pretty-0.8.9-AbBplETF118JdnylMU5vUk array-0.5.4.0
    async-2.2.3-9JPY7l8fhbkJIfTf8ClMWi base-4.15.0.0
    base16-bytestring-1.0.1.0-LlgskbLwpJJ83fb8QKOslS binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.1.0-7QsDnxKo3D04xTxlNpvifK
    case-insensitive-1.2.1.0-j76s146HnEKlLyTniM0KL containers-0.6.4.1
    cryptohash-sha1-0.11.100.1-76A50UqL08yHXaRzujd3cE
    data-default-0.7.1.1-5RJjHNv19ESJeD93LU2jRn deepseq-1.4.5.0
    dependent-map-0.4.0.0-GLRoOG7DSCALpGYDw6xzIX
    dependent-sum-0.7.1.0-BamrfiHWV86HFXAR7WKhSW directory-1.3.6.1
    dlist-1.0-DqtNBE1aXOzH1lBPsXifRQ extra-1.7.10-RoPtCpNHhy4xNy6qNVINa
    filepath-1.4.2.1 fingertree-0.1.4.2-80cX5p9xTY3GXPCw2huheE
    fuzzy-0.1.0.1-F67sVcLtltnJBtJBISCgVv ghc-9.0.1
    ghc-api-compat-8.6.1-3GYFFbfr2XZ391lwrGN6OF ghc-boot-9.0.1
    ghc-boot-th-9.0.1 ghc-check-0.5.0.6-6IZj5FlA4M46MvHADwqiM7
    ghc-exactprint-0.6.4-Ec2nSunp1ChBBLxli4tToc
    ghc-paths-0.1.0.12-D0EghxpsajHHuX2KoHY7KF
    ghc-trace-events-0.1.2.4-FYPgYiPbpemGw8QU7FaF8M
    haddock-library-1.10.0-38V7ldwzXiF1jsu2y7mbMI
    hashable-1.3.4.1-8PH3sYtWVv45iE53pOmUfm
    heapsize-0.3.0.1-6tSl4kGqgHREYBBrxBNpKY
    hie-bios-0.7.6-1sSANlXSFLp7M9xJjckxzL
    hie-compat-0.2.0.0-HHVbuGAk8zeLJ4sWoPjDO6
    hiedb-0.4.1.0-7EcUuP0uwUxKoQn4627GTq
    hls-graph-1.4.0.0-JaGnKYSXtXtFQzL3jIQ6ix
    hls-plugin-api-1.2.0.0-Lh9g9ksTpJO4ExGglOQm9u
    hslogger-1.3.1.0-Ed7lVbxX9aBAnwSwxHTxx6
    implicit-hie-cradle-0.3.0.5-1qXflaFFva49UYN59qoRl1
    lens-5.0.1-HadSzQUPJ1K62n1E5u3hCC
    lsp-1.2.0.1-BUSnuirCM6ILrK3GAFdJnx
    lsp-types-1.3.0.1-4Ylf76zDnfS4iuHz3b2Gt2 mtl-2.2.2
    network-uri-2.6.4.1-9Lm7EsYzXDtEabp68X6rH1
    opentelemetry-0.7.0-IGeMLvwlJekbpDi71xWhc
    optparse-applicative-0.16.1.0-1ipP6GzSBJ28Jh6RsTNcra
    parallel-3.2.2.0-G9JTeCQCHda2yggytvFxi6
    prettyprinter-1.7.1-GBtw9vLo68DAJBm0qmvirm
    prettyprinter-ansi-terminal-1.1.3-IgLnV3O422tHbr7GNcRYpm
    regex-tdfa-1.3.1.1-JysT5HHQf7SDqagoTfdJw
    retrie-1.0.0.0-AAYHvsO80Dy5B9ZiXpT3jn
    rope-utf16-splay-0.3.2.0-HmXvYLaYubABMeOtLi25ik
    safe-0.3.19-BCcHjTM7bV690cTfMWPidj
    safe-exceptions-0.1.7.2-D7bDPVxqTCF1g7uKAvSotf
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU
    sqlite-simple-0.4.18.0-7fagsf8sUegFTeXHqxzIDk stm-2.5.0.0
    syb-0.7.2.1-8W5S2ZI4XGsCYkkZdVEejv text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.20-3ietjG7DTQFI3PHontodWs
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-4INWEfzekoJLPsSfbAftPl
    utf8-string-1.0.2-FSV4F6pxd5y7PjtRkbEpDf
    vector-0.12.3.1-EtdN61cdG6Y4MwC0gVwGz6

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

